package org.processmining.dataawarecnetminer.model;

import java.util.Map;
import java.util.Set;

import org.deckfour.xes.classification.XEventClass;
import org.processmining.models.causalgraph.Relation;
import org.processmining.models.causalgraph.SimpleCausalGraphImpl;

public class DependencyAwareCausalGraphImpl extends SimpleCausalGraphImpl implements DependencyAwareCausalGraph {

	private final Map<Relation, DependencyRelation> dependencyRelations;

	public DependencyAwareCausalGraphImpl(Set<XEventClass> activities,
			Map<Relation, DependencyRelation> dependencyRelations) {
		super(activities, dependencyRelations.keySet());
		this.dependencyRelations = dependencyRelations;
	}

	public DependencyRelation getDependencyRelation(Relation relation) {
		return dependencyRelations.get(relation);
	}

}